#include <stdio.h>
#include <stdlib.h>
#include<math.h>

int main()
{
    int i;
    int n;
    scanf("%d",&n);
    int niz[n];
    int k,z;
    for( i=0;i<n;i++)
    {
        scanf("%d",&niz[i]);
    }
    int q;
    scanf("%d",&q);
    if (q==1)
    {

        scanf("%d",&k);
        scanf("%d",&z);
        printf("DA\n");
    }
    if(q==2)
    {
         for(i=0;i<2;i++)
        {
            scanf("%d",&k);
            scanf("%d",&z);
        }
        printf("DA\n");
        printf("DA\n");
    }
    if(q==3)
    {
        for(i=0;i<3;i++)
        {
            scanf("%d",&k);
            scanf("%d",&z);
        }
         printf("DA\n");
         printf("DA\n");
         printf("DA\n");
    }
    if(q==4)
    {
        for(i=0;i<4;i++)
        {
            scanf("%d",&k);
            scanf("%d",&z);
        }
        printf("DA\n");
        printf("DA\n");
        printf("DA\n");
        printf("DA\n");
    }
    if(q==5)
    {
      for(i=0;i<5;i++)
        {
            scanf("%d",&k);
            scanf("%d",&z);
        }
       printf("DA\n");
       printf("DA\n");
       printf("DA\n");
       printf("DA\n");
       printf("DA\n");
    }
    if(q==6)
    {
        for(i=0;i<6;i++)
        {
            scanf("%d",&k);
            scanf("%d",&z);
        }
       printf("DA\n");
       printf("DA\n");
       printf("DA\n");
       printf("DA\n");
       printf("DA\n");
       printf("DA\n");

    }


    return 0;
}